## org.ascape.model.event
Class DrawFeatureEvent

    java.lang.Object
      java.util.EventObject
          org.ascape.model.event.DrawFeatureEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DrawFeatureEvent

extends java.util.EventObject

User: jmiller Date: Jun 12, 2006 Time: 1:21:05 PM To change this template use File | Settings | File Templates.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DrawFeatureEvent(java.lang.Object source, PlatformDrawFeatureSelection drawFeatureSelection)` Instantiates a new draw feature event.
`DrawFeatureEvent(java.lang.Object source, PlatformDrawFeatureSelection drawFeatureSelection, boolean originator)` Instantiates a new draw feature event.
`DrawFeatureEvent(java.lang.Object source, VectorSelection tempSelection, boolean originator)` Instantiates a new draw feature event.

Method Summary
`VectorSelection` `getDfNameSelection()` Gets the df name selection.
`boolean` `isOriginator()` Checks if is originator.
`void` `setOriginator(boolean originator)` Sets the originator.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DrawFeatureEvent

    public DrawFeatureEvent(java.lang.Object source,
                            PlatformDrawFeatureSelection drawFeatureSelection)

  Instantiates a new draw feature event.

  Parameters:
    `source` - the source
    `drawFeatureSelection` - the draw feature selection

### DrawFeatureEvent

    public DrawFeatureEvent(java.lang.Object source,
                            PlatformDrawFeatureSelection drawFeatureSelection,
                            boolean originator)

  Instantiates a new draw feature event.

  Parameters:
    `source` - the source
    `drawFeatureSelection` - the draw feature selection
    `originator` - the originator

### DrawFeatureEvent

    public DrawFeatureEvent(java.lang.Object source,
                            VectorSelection tempSelection,
                            boolean originator)

  Instantiates a new draw feature event.

  Parameters:
    `source` - the source
    `tempSelection` - the temp selection
    `originator` - the originator

Method Detail

### getDfNameSelection

    public VectorSelection getDfNameSelection()

  Gets the df name selection.

  Returns:
    the df name selection

### isOriginator

    public boolean isOriginator()

  Checks if is originator.

  Returns:
    true, if is originator

### setOriginator

    public void setOriginator(boolean originator)

  Sets the originator.

  Parameters:
    `originator` - the new originator